Delete billing entities/item/tax registrations/item
curl --request DELETE \
--url https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"billing_entity_id": "<string>",
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Billing
Delete billing entities/item/tax registrations/item
From api/v1/tax_registrations#destroy in voice_saas_api. Fields come from that action’s strong params / params usage.
DELETE
/
api
/
v1
/
billing_entities
/
{billing_entity_id}
/
tax_registrations
/
{id}
Delete billing entities/item/tax registrations/item
curl --request DELETE \
--url https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"billing_entity_id": "<string>",
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Was this page helpful?